- return unless @group.group_project_template_available?
- expanded = expanded_by_default?

%section.settings.no-animate.qa-custom-project-templates{ class: ('expanded' if expanded) }
  .settings-header
    %h4
      = s_('GroupSettings|Custom project templates')
    %button.btn.gl-button.js-settings-toggle{ type: 'button' }
      = expanded ? _('Collapse') : _('Expand')
    %p
      = s_('GroupSettings|Select a subgroup to use as the source for custom project templates for this group.')
  .settings-content
    = form_for @group, html: { multipart: true, class: 'gl-show-field-errors' }, authenticity_token: true do |f|
      %input{ type: 'hidden', name: 'update_section', value: 'js-custom-project-templates-settings' }
      = form_errors(@group)

      %fieldset
        .form-group
          = f.label :custom_project_templates_group_id, class: 'label-bold' do
            = _('Select subgroup')
          = groups_select_tag('group[custom_project_templates_group_id]', data: { groups_filter: 'subgroups', parent_id: @group.id }, selected: @group.custom_project_templates_group_id, class: 'input-clamp allowClear qa-custom-project-template-select', multiple: false)
          - link_start = '<a href="%{url}">'.html_safe % { url: help_page_path('user/group/custom_project_templates.md') }
          = s_("GroupSettings|The projects in this subgroup can be selected as templates for new projects created in the group. %{link_start}Learn more.%{link_end}").html_safe % { link_start: link_start, link_end: "</a>".html_safe }
      = f.submit _('Save changes'), class: 'btn gl-button btn-confirm qa-save-changes-button'
